database.h File Reference

## Data Structures

struct | MDatabaseInfo

## Macros

#define | M17NDIR "/usr/local/share/m17n"
#define | PATH_MAX 1024
#define | PATH_SEPARATOR '/'

## Enumerations

enum | MDatabaseStatus { MDB_STATUS_AUTO , MDB_STATUS_AUTO_WILDCARD , MDB_STATUS_EXPLICIT , MDB_STATUS_DISABLED , MDB_STATUS_UPDATED , MDB_STATUS_OUTDATED }

## Functions

void | mdatabase__update (void)
MPlist * | mdatabase__load_for_keys (MDatabase *mdb, MPlist *keys)
int | mdatabase__check (MDatabase *mdb)
char * | mdatabase__find_file (char *filename)
char * | mdatabase__file (MDatabase *mdb)
int | mdatabase__lock (MDatabase *mdb)
int | mdatabase__save (MDatabase *mdb, MPlist *data)
int | mdatabase__unlock (MDatabase *mdb)
MPlist * | mdatabase__props (MDatabase *mdb)

## Variables

MPlist * | mdatabase__dir_list
void *(* | mdatabase__load_charset_func )(FILE *fp, MSymbol charset_name)

## Macro Definition Documentation

## M17NDIR

#define M17NDIR "/usr/local/share/m17n"

## PATH_MAX

#define PATH_MAX 1024

## PATH_SEPARATOR

#define PATH_SEPARATOR '/'

## Enumeration Type Documentation

## MDatabaseStatus

enum MDatabaseStatus

Enumerator
MDB_STATUS_AUTO |
MDB_STATUS_AUTO_WILDCARD |
MDB_STATUS_EXPLICIT |
MDB_STATUS_DISABLED |
MDB_STATUS_UPDATED |
MDB_STATUS_OUTDATED |

## Function Documentation

## mdatabase__update()

void mdatabase__update | ( | void |  | ) |

## mdatabase__load_for_keys()

MPlist* mdatabase__load_for_keys | ( | MDatabase * | mdb,
|  | MPlist * | keys
| ) |  |

## mdatabase__check()

int mdatabase__check | ( | MDatabase * | mdb | ) |

## mdatabase__find_file()

char* mdatabase__find_file | ( | char * | filename | ) |

## mdatabase__file()

char* mdatabase__file | ( | MDatabase * | mdb | ) |

## mdatabase__lock()

int mdatabase__lock | ( | MDatabase * | mdb | ) |

## mdatabase__save()

int mdatabase__save | ( | MDatabase * | mdb,
|  | MPlist * | data
| ) |  |

## mdatabase__unlock()

int mdatabase__unlock | ( | MDatabase * | mdb | ) |

## mdatabase__props()

MPlist* mdatabase__props | ( | MDatabase * | mdb | ) |

## Variable Documentation

## mdatabase__dir_list

MPlist* mdatabase__dir_list

extern

## mdatabase__load_charset_func

void*(* mdatabase__load_charset_func) (FILE *fp, MSymbol charset_name) | ( | FILE * | fp,
|  | MSymbol | charset_name
| ) |  |

extern